#ifndef __ANIMATE_H__
#define __ANIMATE_H__

#include <X11/Xlib.h>
#include <X11/Intrinsic.h>

typedef struct
{
   Drawable  pm; 
   int       aw,ah;
   int       w,h;
   int       x,y;
} pix;

#include "3d.h"

typedef struct
{
   tx    tx_h[2],  *tx;
   pix   pix_h[2], *pix;
   int   cur;
} anim_pix;

#define OLD 0
#define NEW 1
#define MAX_PIX_DIM 300


#endif
