/* objclub1.h - structure values for club */

{       "American Club", "club", /* long and short names */
        "cube",         /* long name of dual */
        56, 104, 50 /*64*/,    /* number of vertices, edges, and faces */
        {               /* vertices (x,y,z) */
                        /* all points must be within radius 1 of the origin */


#define Oct(R1,R2,Z) {  R1, R2, Z }, \
                     {  R2, R1, Z }, \
                     {  R2,-R1, Z }, \
                     {  R1,-R2, Z }, \
                     { -R1,-R2, Z }, \
                     { -R2,-R1, Z }, \
                     { -R2, R1, Z }, \
                     { -R1, R2, Z }

               Oct(   8,  16, 100), /* knob1!     0-7  */
               Oct(   8,  16,  90), /* knob2      7-15 */
               Oct(   4,   8,  80), /* knobend!  16-23 */
               Oct(   4,   8,  35), /* handleend 24-31 */
               Oct(  15,  30,  10), /* bulbleft  32-39 */
               Oct(  15,  30, -80), /* bulbright 40-47 */                
               Oct(   6,  12,-100)  /* endright  48-55 */
#undef Oct
        },
        {       /* faces (numfaces + indexes into vertices) */
                /*  faces must be specified clockwise from the outside */
                
                8,       0, 1, 2, 3, 4, 5, 6, 7,
                
#define Cyl(I1, I2) \
            4,  I1+0, I2+0, I2+1, I1+1, \
            4,  I1+1, I2+1, I2+2, I1+2, \
            4,  I1+2, I2+2, I2+3, I1+3, \
            4,  I1+3, I2+3, I2+4, I1+4, \
            4,  I1+4, I2+4, I2+5, I1+5, \
            4,  I1+5, I2+5, I2+6, I1+6, \
            4,  I1+6, I2+6, I2+7, I1+7, \
            4,  I1+7, I2+7, I2+0, I1+0, 
            
               Cyl(0,8)
               Cyl(8,16)
               Cyl(16,24)
               Cyl(24,32)
               Cyl(32,40)
               Cyl(40,48)
               
                8,      55, 54, 53, 52, 51, 50, 49, 48,
        }
},              /* leave a comma to separate from the next include file */
/* end */

